
QGIS Application - Bug report #21305

pasting features to postgis (or other slow/remote backends) is very slow

2019-02-18 06:08 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29123

Description

Pasting new features (copied from an identical layer) is unbearably slow, on QGIS 2.18 is done in very quick way (saving afterwards can

be slow on both versions, depending on how many features were pasted).

Related issues:

Duplicates QGIS Application - Bug report # 21241: Copy/Paste between tables i... Open 2019-02-12

Associated revisions

Revision ba3d9ed0 - 2019-02-19 10:02 AM - Alessandro Pasotti

Cache unique values when creating features

Fixes #21305 - pasting features is very slow

Aggressively optimize createFeature for speed

and introduces createFeatures for bulk creation.

History

#1 - 2019-02-18 07:15 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2019-02-19 10:20 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9203

#3 - 2019-02-19 11:06 AM - Giovanni Manghi

Alessandro Pasotti wrote:

PR https://github.com/qgis/QGIS/pull/9203

Many thanks Ale for tackling this!
#4 - 2019-02-21 08:30 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|ba3d9ed066fd64f48dd43455402d4479db299dd0.

#5 - 2019-02-21 10:05 AM - Alessandro Pasotti

- Duplicates Bug report #21241: Copy/Paste between tables is much more slower compare to 2.18 added

#6 - 2019-02-21 10:05 AM - Alessandro Pasotti

- Subject changed from pasting features is very slow to pasting features to postgis is very slow

#7 - 2019-02-21 10:06 AM - Alessandro Pasotti

- Subject changed from pasting features to postgis is very slow to pasting features to postgis (or other slow/remote backends) is very slow
